POST
Create ECDSA MPC challenge for message
Create the challenge required for signing ECDSA transactions. You must call this endpoint before calling Create a signature share for the transaction request.
Path Params
-
walletIdstring required -
txRequestIdstring uuid required -
messageIdxstring number required
Body Params
object
-
paillierModulusstring requiredThe 'n' value from an ECDSA wallets paillier public key. Retrieved from xShare.n.
Responses
200
OK
Response Body
object
-
ntildestring requiredRange proof challenge value -
h1string requiredRange proof challenge value -
h2string requiredRange proof challenge value -
nstring requiredBitGo's paillier modulus 'n'. -
parray of strings required
400
Bad Request
Response Body
object
-
namestringError code -
contextmap of objects requiredProperties that apply to a specific error namecontext object
-
<key>object
-
-
errorstring requiredHuman-readable error message -
requestIdstring requiredClient request id
401
Unauthorized
Response Body
object
-
namestringError code -
contextmap of objects requiredProperties that apply to a specific error namecontext object
-
<key>object
-
-
errorstring requiredHuman-readable error message -
requestIdstring requiredClient request id
403
Forbidden
Response Body
object
-
namestringError code -
contextmap of objects requiredProperties that apply to a specific error namecontext object
-
<key>object
-
-
errorstring requiredHuman-readable error message -
requestIdstring requiredClient request id
404
Not Found
Response Body
object
-
namestringError code -
contextmap of objects requiredProperties that apply to a specific error namecontext object
-
<key>object
-
-
errorstring requiredHuman-readable error message -
requestIdstring requiredClient request id